
## Description

Modders resource that contains all my custom scripts used in a variety of my mods. ATM it is mostly Custom Status Effects.


## Recent Patch Notes

**1.10**

- Added EmissionMesh_HS script.

**1.0.9**

- Community supplied, Russian Translation json added
- Translations moved to config folder
- Bug fixing

**1.0.8**

- Texture fixes for server

**1.0.7**

- Finished of the Armor and Weapons sets. (Wizard, Barbarian and Ranger)
- Added Cheat(Admin) Staff
- Fix for OnDamaged of SE_Passive_HS
- Redesigned Leech part of SE_DoT_HS


## Usage

Plug and Play for users.


## Modpack Authors

See Config after first use :)


## For other Unity or C# Modders

- There is a Unity Package included in the zip, import this into your Unity project to gain access to the raw scripts, contains a Assembly Definition pointing to this DLL. You can then make Status Effects from Scriptable Objects.
- Add a Reference to this dll in your mods Visual Studio project (or what ever IDE you use) and add:  using HoremvoreAssembly; to your script or scripts.
- The DLL has a basic Demo you can enable in the config that adds some effects to Vanilla Monsters.
- In addition to the demo there are options to enable random effects for most of my Monster mods in the config.
- All Items, VFX, SFX and Status Effects added by this dll are loaded to ZNet or ODB with or without the demo been enabled. 
- If you do not want the items added and just want to use the dll as a reference for the scripts, you can set the mod to disabled in the config and still have access to them as long as the dll is in the plugins folder.
- Do what ever you like with the scripts, I do not claim copywrite.


## Current Scripts Overview

**SE_DoT_HS**

- Has a hit roll, Damage over Time that is scaled by Level, Skill or both. Also has the option for Leech Life effect.
	
**SE_HoT_HS**

- Heal over Time, Scaled by Level, Skill or both.
	
**SE_SoT_HS**

- Stamina over Time, Scaled by Level, Skill or both.
	
**SE_EoT_HS**

- Etir over Time, Scaled by Level, Skill or both.
	
**SE_CureEffect_HS**

- Removes listed Status Effects
	
**SE_Infection_HS**

- Has a hit roll, Damage over Time, Speed Modifier, Regeneration of Health/Stamina/Etir, Damage Resistances and Attack Skill modifiers.
	
**SE_Random_Effect_HS**
	
- Allows the application of Random Effects from a list, along with a Critical Success and Fail effect all based off of a Hit Chance.
	
**SE_InjuryStacker_HS**

- Applies Status effects progressively depending on what current effect the character has also has a Hit Roll.
	
**SE_Sundered_HS**

- Reduces AC Value and does a one off Damage amount based off of a Hit Roll.
	
**SE_Curse_HS**

- Has a Damage over Time, Speed Modifier, Regeneration Modifiers, Spawns random objects that can rotate around the character or basic Objects/Monsters, plays random sounds.

**SE_ThrowUP**

- A custom Puke effect that also has a Damage over Time.

**Emissive_HS**

- Allows adjusting the Emissive property on a skinned mesh rednerers material to either change color or to fade in and out.
	
**SE_Passive_HS**

- Allows bonus effects, on damaged effects, recovery of Health, Stamina and Eitr along with many of the SE_Stats modifiers.

**SE_Diving_HS**

- Allows swimming underwater with a surface and depth time based on skill level.

**SE_Tradeskill_HS**

- Can give a boon effect or random items based on skill level or both, also has hit and drop chance. Would be used for things, like pickables, tree's, ores etc.


## Bug Reports

Join the discord to report any bugs: https://discord.gg/AzcEUkQyMh


## Support

If you like what I do and want to support me.

<a href="https://www.buymeacoffee.com/horemvore"><img src="https://img.buymeacoffee.com/button-api/?text=Buy me a coffee&emoji=&slug=horemvore&button_colour=FFDD00&font_colour=000000&font_family=Cookie&outline_colour=000000&coffee_colour=ffffff" /></a>

## Untested scripts

- SE_Diving_AH
- SE_Tradeskill_AH


## WIP scripts

These scripts are still been written and may not function as intended if used.

	BossStage_Object_HS
	BossStage_Controller_HS
	BossStage_BossObject_HS
	RandomSpawner_HS	

## Included Pickables

**Flowers**

- Pickable_NightHood_AH
- Pickable_PurpleStrand_AH
- Pickable_Dracflorus_AH
- Pickable_BloodSaffron_AH


## Included Items 

None of the items included have recipes, these will need to be created via code or a 3rd party mod.

**Materials**

- Item_Bark_SwampAspen_AH
- Item_Bark_ChillingAcacia_AH
- Item_Bark_BlisterLeaf_AH
- Item_Bark_TangledElm_AH
- Item_Bark_HollowBeech_AH
- Item_BloodSaffron_AH
- Item_Dracflorus_AH
- Item_NightHood_AH
- Item_PurpleStrand_AH
- Item_Poisonflower_AH
- Item_DeathsRye_AH
- Item_VolcanoClove_AH
- Item_ShadowLavender_AH
- Item_SneezingBower_AH

**Armor Sets**

- CapeRogue_AH
- HelmetRogue_AH
- ArmorRogueChest_AH
- ArmorRogueLegs_AH
- BeltRogue_AH
- SkollRogue_AH

- CapeWizard_AH
- HelmetWizard_AH
- ArmorWizardChest_AH
- ArmorWizardLegs_AH
- StaffWizard_AH
- RingWizard_AH

- CapePaladin_AH
- HelmetPaladin_AH
- ArmorPaladinChest_AH
- ArmorPaladinLegs_AH
- BeltPaladin_AH
- SwordPaladin_AH

- CapeWarrior_AH
- HelmetWarrior_AH
- ArmorWarriorChest_AH
- ArmorWarriorLegs_AH
- ShieldWarrior_AH
- HammerWarrior_AH

- CapeBarbarian_AH
- HelmetBarbarian_AH
- ArmorBarbarianChest_AH
- ArmorBarbarianLegs_AH
- RingBarbarian_AH
- BattleaxeBarbarian_AH

- CapeRanger_AH
- HelmetRanger_AH
- ArmorRangerChest_AH
- ArmorRangerLegs_AH
- RingRanger_AH
- BowRanger_AH

- CapeCleric_AH
- HelmetCleric_AH
- ArmorClericChest_AH
- ArmorClericLegs_AH
- ShieldCleric_AH
- HammerCleric_AH
- StaffCleric_AH
- RingCleric_AH

**Cure Potions**

- Item_Potion_Bless_AH
- Item_Potion_Dispel_AH
- Item_Potion_Purify_AH
- Item_Potion_CureMinorWounds_AH
- Item_Potion_CureWounds_AH
- Item_Potion_CureMajorWounds_AH

**Healing Potions**

- Item_Flask_Red_3_AH
- Item_Flask_Red_2_AH
- Item_Flask_Red_1_AH
- Item_Elixir_Red_3_AH
- Item_Elixir_Red_2_AH
- Item_Elixir_Red_1_AH
- Item_Potion_Red_3_AH
- Item_Potion_Red_2_AH
- Item_Potion_Red_1_AH


## Example Status Effect List

**Tradeskill**

- SE_PickableBuff_RareFlower_AH
- SE_PickableBuff_Haste_AH
- SE_MineRockBuff_Gems_AH
- SE_MineRockBuff_Noise_AH
- SE_TreeBaseBuff_RareWood_AH
- SE_TreeBaseBuff_Noise_AH

**Frostbites**

Setup with 100% Hit Chance so they can be used as randoms 

- SE_DeadlyFrostbite_AH
- SE_CriticalFrostbite_AH
- SE_SeniorFrostbite_AH
- SE_MajorFrostbite_AH
- SE_Frostbite_AH
- SE_JuniorFrostbite_AH
- SE_MinorFrostbite_AH
			
**Burns**

Setup with 100% Hit Chance so they can be used as randoms: 

- SE_DeadlyBurns_AH
- SE_CriticalBurns_AH
- SE_SeniorBurns_AH
- SE_MajorBurns_AH
- SE_Burns_AH
- SE_JuniorBurns_AH
- SE_MinorBurns_AH
			
**Bleeds**

- SE_Smite_AH

Setup with 100% Hit Chance so they can be used as randoms: 

- SE_Rend_AH
- SE_Gore_AH
- SE_Lacerate_AH
- SE_Maul_AH
- SE_Shred_AH
- SE_Mangle_AH
- SE_Maim_AH
- SE_Hemorrage_AH
- SE_Rupture_AH

**Life Drains**

- SE_LeechLife_AH
- SE_VampiresTouch_AH
- SE_LifeDrain_AH
- SE_SiphonLife_AH
- SE_VampiricEmbrace_AH
- SE_DeathSiphon_AH
- SE_DeathCoil_AH

**Infections**

Setup with 100% Hit Chance so they can be used as randoms: 

- SE_Weak_AH
- SE_Poison_AH
- SE_Venom_AH
- SE_Infection_AH
- SE_Scourge_AH
- SE_Disease_AH
- SE_Contagion_AH
- SE_Pestilence_AH
- SE_Bane_AH
- SE_Blight_AH
- SE_Corrosion_AH
- SE_Corruption_AH

**Random**

- SE_RandomMinorInfection_AH
- SE_RandomInfection_AH
- SE_RandomMajorInfection_AH
- SE_RandomCriticalInfection_AH
- SE_RandomDeadlyInfection_AH
- SE_RandomMinorBleed_AH
- SE_RandomBleed_AH
- SE_RandomMajorBleed_AH
- SE_RandomCriticalBleed_AH
- SE_RandomMinorFrostbite_AH
- SE_RandomFrostbite_AH
- SE_RandomMajorFrostbite_AH
- SE_RandomMinorBurn_AH
- SE_RandomBurn_AH
- SE_RandomMajorBurn_AH

**Sets**
			
- SE_SetBarbarianBuff_AH
- SE_SetClericBuff_AH
- SE_SetPaladinBuff_AH
- SE_SetRangerBuff_AH
- SE_SetRogueBuff_AH
- SE_SetWarriorBuff_AH
- SE_SetWizardBuff_AH
- SE_SetEffectBarbarian_AH
- SE_SetEffectCleric_AH
- SE_SetEffectPaladin_AH
- SE_SetEffectRanger_AH
- SE_SetEffectRogue_AH
- SE_SetEffectWarrior_AH
- SE_SetEffectWizard_AH
- SE_BarbarianArmor_AH
- SE_BarbarianHelm_AH
- SE_BarbarianLeggings_AH
- SE_BarbarianUtility_AH
- SE_BarbarianWeapon_AH
- SE_ClericHelm_AH
- SE_ClericArmor_AH
- SE_ClericLeggings_AH
- SE_ClericUtility_AH
- SE_ClericWeapon_AH
- SE_ClericCloak_AH
- SE_PaladinArmor_AH
- SE_PaladinHelm_AH
- SE_PaladinLeggings_AH
- SE_PaladinUtility_AH
- SE_PaladinWeapon_AH
- SE_PaladinCloak_AH
- SE_RangerArmor_AH
- SE_RangerHelm_AH
- SE_RangerLeggings_AH
- SE_RangerUtility_AH
- SE_RangerWeapon_AH
- SE_RogueArmor_AH
- SE_RogueHelm_AH
- SE_RogueLeggings_AH
- SE_RogueUtility_AH
- SE_RogueWeapon_AH
- SE_RogueCloak_AH
- SE_WarriorArmor_AH
- SE_WarriorHelm_AH
- SE_WarriorLeggings_AH
- SE_WarriorUtility_AH
- SE_WarriorWeapon_AH
- SE_WarriorCloak_AH
- SE_WizardArmor_AH
- SE_WizardHelm_AH
- SE_WizardLeggings_AH
- SE_WizardUtility_AH
- SE_WizardWeapon_AH
- SE_SetEffectClericWeapons_AH
- SE_SetEffectWarriorWeapons_AH
- SE_SetEffectPaladinWeapons_AH
- SE_SetEffectRogueWeapons_AH
- SE_SetEffectWizardWeapons_AH
- SE_SetEffectRangerWeapons_AH
- SE_SetEffectBarbarianWeapons_AH

**Potions**

- SE_FlaskRed_1_AH
- SE_FlaskRed_2_AH
- SE_FlaskRed_3_AH
- SE_ElixirRed_1_AH
- SE_ElixirRed_2_AH
- SE_ElixirRed_3_AH
- SE_PotionRed_1_AH
- SE_PotionRed_2_AH
- SE_PotionRed_3_AH

**Other**

- SE_EitrRecovery_AH
- SE_StaminaRecovery_AH
- SE_Judgement_AH
- SE_Vengance_AH
- SE_Smite_AH


## Patch Notes


**1.0.6**

The do not rush patch.

- Fix for missing prefabs
- Added null check for VFX and SFX code to prevent errors from missing prefabs

**1.0.5**

- Fix for SE_HoT_HS
- Added Diving and Tradeskill scripts
- Added 4 Pickable Flowers
- Added 9 Flower Items
- Added 5 Bark Items

**1.0.4**

- Paladin Weapon set effect fix
- Localization fix for Shadow Cape
- Readme updated with SE's and items added with 1.0.3

**1.0.3**

- Added 2 more weapon sets
- Updated the SE_DoT_HS script
- Some Status Effect tweaks
- Added Frostbite and Burn SE's (20 in total)

**1.0.2**

- Added On Damaged to passive script
- Added 5 more armor sets and 2 weapon sets to the demo
- Tooltip tweaks

**1.0.1**

- Added SE_Passive_HS
- A lot of bugfixing
- Updated most scripts to give more information in the tooltip
- Added Rogue and Wizard armor sets for show casing SE_Passive_HS.

**1.0.0**

- Initial upload to TS